ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/REPOS_ERICCA/magicsld/Debug_form.vb
(Generate patch)

Comparing magicsld/Debug_form.vb (file contents):
Revision 40 by bournival, Mon Aug 20 21:30:28 2007 UTC vs.
Revision 48 by bournival, Wed Aug 22 21:18:12 2007 UTC

# Line 1 | Line 1
1 + Imports SolidWorks.Interop
2 + Imports SolidWorks.Interop.swconst
3 + Imports SolidWorks.Interop.swpublished
4 +
5   Public Class Debug_form
6      Inherits System.Windows.Forms.Form
7  
# Line 451 | Line 455 | Public Class Debug_form
455  
456  
457              Select Case swEnt.GetType
458 <                Case SwConst.swSelectType_e.swSelATTRIBUTES
458 >                Case swconst.swSelectType_e.swSelATTRIBUTES
459                      swFeat = swEnt
460                      attr = swFeat.GetSpecificFeature2()
461                      If Not attr Is Nothing Then
# Line 462 | Line 466 | Public Class Debug_form
466                      End If
467  
468  
469 <                Case SwConst.swSelectType_e.swSelEDGES
469 >                Case swconst.swSelectType_e.swSelEDGES
470                      ' on essai pour la condition aux limites
471                      attr = swEnt.FindAttribute(Intersections.DefAttrConditionLimite, 0)
472                      If Not attr Is Nothing Then
# Line 488 | Line 492 | Public Class Debug_form
492                      End If
493  
494  
495 <                Case SwConst.swSelectType_e.swSelFACES
495 >                Case swconst.swSelectType_e.swSelFACES
496                      ' on essai pour la condition aux limites
497                      attr = swEnt.FindAttribute(Intersections.DefAttrConditionLimite, 0)
498                      If Not attr Is Nothing Then
# Line 689 | Line 693 | fin:
693          detail(i).swent.Select(False)
694          'swModel.SelectedFeatureProperties(255, 0.8, 0.5, 0.5, 1, 0, 1, False, False, 0)
695          ' si le entity est un
696 <        If detail(i).swent.GetType = SwConst.swSelectType_e.swSelATTRIBUTES Then
696 >        If detail(i).swent.GetType = swconst.swSelectType_e.swSelATTRIBUTES Then
697              Dim swfeat As SldWorks.Feature
698              Dim attr As SldWorks.Attribute
699              Dim ent As SldWorks.Entity

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines